
const SERVER_TAG = process.env.server_tag || 'MISSING';
const env = require('fxl-environments');
const tags = {
    default: 
        [env.CURRENT_ENV, SERVER_TAG],
    production: 
        [ 'prod', SERVER_TAG ],
    development: 
        [ 'dev', SERVER_TAG ],
    test: 
        [ 'test', SERVER_TAG ],
}
module.exports.tags = tags;

module.exports = {
    LOGGLY_ENDPOINT: process.env.loggly_endpoint || '755ad307-f783-44fa-8879-16ec53add4fc',
    LOGGLY_TOKEN: process.env.loggly_token || 'logtestf',
    Loggly_Production: {
        level: 'silly',
        inputToken: process.env.loggly_endpoint || '755ad307-f783-44fa-8879-16ec53add4fc',
        subdomain: process.env.loggly_token || 'logtestf',
        token: process.env.loggly_endpoint || '755ad307-f783-44fa-8879-16ec53add4fc',
        label: 'Production Log',
        tags: tags.production,
        colorize: 'true',
        json: true,
        prettyPrint: true,
    },
    Loggly_Development: {
        level: 'silly',
        inputToken: process.env.loggly_endpoint || '755ad307-f783-44fa-8879-16ec53add4fc',
        subdomain: process.env.loggly_token || 'logtestf',
        token: process.env.loggly_endpoint || '755ad307-f783-44fa-8879-16ec53add4fc',
        tags: tags.development,
        label: 'Development Log',
        colorize: 'true',
        json: true,
        prettyPrint: true,
    },
    Loggly_Test: {
        level: 'silly',
        inputToken: process.env.loggly_endpoint || '755ad307-f783-44fa-8879-16ec53add4fc',
        subdomain: process.env.loggly_token || 'logtestf',
        token: process.env.loggly_endpoint || '755ad307-f783-44fa-8879-16ec53add4fc',
        tags: tags.test,
        label: 'Test Log',
        colorize: 'true',
        json: true,
        prettyPrint: true,
    }
}
